Subject: [bug#30831] [PATCH] gnu: rust: Update rust from 1.22.1 release to 1.24.1

From: [email-masked] (Ludovic Courtès)
Date: Mon, 19 Mar 2018 17:23:54 +0100

Hello,

Nikolai Merinov <[email-masked]> skribis:

> Actually there is two ways to achieve this:
> 1. Constantly update bootsrap binaries version.
> 2. For each new release create new package. As result we'll be able to
> use old rust release to build each new rust release. E.g. we can use
> 1.21.0 bootstrap binaries, then build 1.22.0 rust and use it to build
> 1.23.0 rust and then use it to build 1.24.1 rust.
>
> Which way is preferable? 

Like I wrote, I would prefer option #2, so as to increase “binary
diversity” and not rely on builds made by upstream.

This obviously relates to <http://bootstrappable.org/>.  Ricardo, what’s
your take on this?

> Please do not merge my patch until I'll check Danny's report about
> reproducability.

Sure!

Thanks,
Ludo’.